ruby-2.4.2-84.fc27.i686.rpm


Advertisement

Description

ruby - An interpreter of object-oriented scripting language

Property Value
Distribution Fedora 27
Repository Fedora x86_64
Package name ruby
Package version 2.4.2
Package release 84.fc27
Package architecture i686
Package type rpm
Installed size 71.50 KB
Download size 79.41 KB
Official Mirror dl.fedoraproject.org
Ruby is the interpreted scripting language for quick and easy
object-oriented programming.  It has many features to process text
files and to do system management tasks (as in Perl).  It is simple,
straight-forward, and extensible.

Alternatives

Package Version Architecture Repository
ruby-2.4.5-90.fc27.i686.rpm 2.4.5 i686 Fedora Updates
ruby-2.4.5-90.fc27.i686.rpm 2.4.5 i686 Fedora Updates
ruby-2.4.5-90.fc27.x86_64.rpm 2.4.5 x86_64 Fedora Updates
ruby-2.4.2-84.fc27.x86_64.rpm 2.4.2 x86_64 Fedora
ruby-2.4.2-84.fc27.i686.rpm 2.4.2 i686 Fedora
ruby - - -

Requires

Name Value
/usr/bin/ruby -
libc.so.6(GLIBC_2.1.3) -
libcrypt.so.1 -
libdl.so.2 -
libm.so.6 -
libpthread.so.0 -
libruby.so.2.4 -
rtld(GNU_HASH) -
ruby-libs(x86-32) = 2.4.2-84.fc27

Provides

Name Value
ruby = 2.4.2-84.fc27
ruby(runtime_executable) = 2.4.2
ruby(x86-32) = 2.4.2-84.fc27

Download

Type URL
Binary Package ruby-2.4.2-84.fc27.i686.rpm
Source Package ruby-2.4.2-84.fc27.src.rpm

Install Howto

Install ruby rpm package:

# dnf install ruby

Files

Path
/usr/bin/erb
/usr/bin/ruby-mri
/usr/lib/.build-id/
/usr/lib/.build-id/94/55d348f3ac69bc48424dd367ba379d453f7b51
/usr/share/licenses/ruby/BSDL
/usr/share/licenses/ruby/COPYING
/usr/share/licenses/ruby/COPYING.ja
/usr/share/licenses/ruby/GPL
/usr/share/licenses/ruby/LEGAL
/usr/share/man/man1/erb.1.gz
/usr/share/man/man1/ruby.1.gz

Changelog

2017-09-18 - Pavel Valena <pvalena@redhat.com> - 2.4.2-84
- Update to Ruby 2.4.2.
2017-09-08 - Vít Ondruch <vondruch@redhat.com> - 2.4.1-84
- Drop ruby-devel dependency on rubypick, which is pulled in transtitively.
2017-08-11 - Vít Ondruch <vondruch@redhat.com> - 2.4.1-83
- Fix "IOError: stream closed" errors affecting Puma.
- Temporary disable checksec on PPC64LE (rhbz#1479302).
2017-08-03 - Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-82
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
2017-07-27 - Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-81
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
2017-07-20 - Vít Ondruch <vondruch@redhat.com> - 2.4.1-80
- OpenSSL 1.1.0f-3 disables some weak ciphers. Adjust the package to pass
the tests suite.
2017-04-03 - Vít Ondruch <vondruch@redhat.com> - 2.4.1-79
- Update to Ruby 2.4.1.
2017-02-23 - Vít Ondruch <vondruch@redhat.com> - 2.4.0-78
- Fix OpenSSL symlinks.
2017-02-11 - Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-77
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
2017-02-03 - Vít Ondruch <vondruch@redhat.com> - 2.4.0-76
- Fix GCC 7.x compatibility (rhbz#1417590).
- Use standardized multilib solution (rhbz#1412274).

See Also

Package Description
ruby-RRDtool-0.6.0-27.fc27.x86_64.rpm RRDTool for Ruby
ruby-SBML-5.15.0-6.fc27.x86_64.rpm Ruby bindings for libSBML
ruby-SEDML-0.3.1-23.fc27.x86_64.rpm Ruby library that fully supports SED-ML for SBML
ruby-augeas-0.5.0-13.fc27.x86_64.rpm Ruby bindings for Augeas
ruby-aws-0.8.1-15.fc27.noarch.rpm Ruby interface to Amazon Web Services
ruby-aws-doc-0.8.1-15.fc27.noarch.rpm Documentation for ruby-aws
ruby-bonobo2-0.90.4-7.fc27.5.x86_64.rpm Ruby binding of libbonobo-2.x
ruby-bonobo2-devel-0.90.4-7.fc27.5.i686.rpm Development libraries and header files for ruby-bonobo2
ruby-bonobo2-devel-0.90.4-7.fc27.5.x86_64.rpm Development libraries and header files for ruby-bonobo2
ruby-bonoboui2-0.90.4-7.fc27.5.x86_64.rpm Ruby binding of libbonoboui-2.x
ruby-bonoboui2-devel-0.90.4-7.fc27.5.i686.rpm Development libraries and header files for ruby-bonoboui2
ruby-bonoboui2-devel-0.90.4-7.fc27.5.x86_64.rpm Development libraries and header files for ruby-bonoboui2
ruby-bsearch-1.5-16.fc27.noarch.rpm Binary search library for Ruby
ruby-caca-0.99-0.31.beta19.fc26.x86_64.rpm Ruby bindings for libcaca
ruby-clearsilver-0.10.5-42.fc27.x86_64.rpm Ruby interface to the ClearSilver HTML templating system
Advertisement
Advertisement